#ifndef _BENCHMARKING_MSG
#define _BENCHMARKING_MSG

#include "AM.h"

enum {
	AM_BENCHMSG = 125,
	DELAY_DEF = 0x00,
    I_AM_ROOT = 0x01,
	BOOT_OK = 0x02,
	SENDING_MSG = 0x10,
	SEND_SUCCESS = 0x11,
	SEND_FAIL = 0x12,
	RECEIVE_MSG = 0x20,
	UNKNOWN = 0x30,
	RADIOSLEEP = 0x40,
	PACKETTOTAL = 0x41,
	CHANNEL_SWITCH = 0x50,
	DEBUG_STATS = 0x60
};

typedef nx_struct BenchMsg {
	nx_uint8_t version;
    nx_uint8_t type;
    nx_union {
        nx_uint16_t arg;
        nx_struct {
            nx_uint16_t msg_uid;   
            nx_am_addr_t origin;
            nx_am_addr_t other_node;
            nx_uint16_t msg_seq;
        } msg;
    } data;
    nx_uint16_t seqno;
} BenchMsg;

#endif
