/*
* Copyright (C) Ghent University - IBBT. All rights reserved.
*
* "This file is part of the IDRA framework (http://idraproject.net)
*
* IDRA is an open-source framework, developed for easy integration and 
* efficient combination of network protocols for netwerked embedded systems.
*   
* IDRA is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* IDRA is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with IDRA.  If not, see <http://www.gnu.org/licenses/>."
*/

#include "Settings.h"

#ifndef NEIGHBOR_REPOSITORY_H
#define NEIGHBOR_REPOSITORY_H

	enum {
		ENOPARAM = 10,
		ENONEIGHBOR = 11,
	} errors;

	typedef struct ParameterStorage {
		uint16_t index;
		bool isOccupied;
		uint8_t data[MAX_PARAM * AVERAGE_PARAM_SIZE];
	} ParameterStorage_t;

	typedef struct Parameter {
		uint16_t name;
		uint8_t size;
		uint8_t reserved;
		uint8_t* location;
	} Parameter_t;
	
	typedef struct NeighborTableEntry {
		uint16_t mac_address;
		uint8_t num_param;
		uint8_t storage_index;
		Parameter_t parameters[MAX_PARAM];
	} NeighborTableEntry_t;

#endif /* NEIGHBOR_REPOSITORY_H */
