/*
* Copyright (C) Ghent University - IBBT. All rights reserved.
*
* "This file is part of the IDRA framework (http://idraproject.net)
*
* IDRA is an open-source framework, developed for easy integration and 
* efficient combination of network protocols for netwerked embedded systems.
*   
* IDRA is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 2 of the License, or
* (at your option) any later version.
*
* IDRA is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with IDRA.  If not, see <http://www.gnu.org/licenses/>."
*/

#include "Settings.h"

#ifndef QOS_REPOSITORY_H
#define QOS_REPOSITORY_H

	typedef struct InformationParameterStorage {
		uint16_t index;
		bool isOccupied;
		uint8_t data[MAX_QOS_PARAM * AVERAGE_QOS_PARAM_SIZE];
	} InformationParameterStorage_t;

	typedef struct QoSParameter {
		uint16_t name;
		uint8_t size;
		uint8_t reserved;
		uint8_t* location;
	} QoSParameter_t;
	
	typedef struct QoSEntry {
		uint16_t informationParameterID;
		uint8_t num_param;
		uint8_t storage_index;
		QoSParameter_t parameters[MAX_QOS_PARAM];
	} InformationParameterEntry_t;

#endif /* QOS_REPOSITORY_H */