#ifndef BENCHMARK_HAL_H
#define BENCHMARK_HAL_H




/*****************************************************
*
*  Definition of the packet type
*
******************************************************/

enum{
	AM_BENCHMARKHALMSG = 15,
};


typedef nx_struct BenchmarkHALMsg {
	nx_uint16_t numberOfPacketSend;
	nx_uint16_t numberOfBytesSend;
	nx_uint16_t numberOfPacketReceived;
	nx_uint16_t numberOfBytesReceived;
	nx_uint32_t queueDelayAvg;	// processing delay (untill ready for sending), not total delay
	nx_uint32_t queueDelayStdDevPow2; // pow2 of variance
	nx_uint32_t queueDelayMax;
	nx_uint32_t queueDelayMin;
	nx_uint8_t queueOccupationAvg;	// 100 times the avg queue occupation 
	nx_uint32_t queueOccupationStdDevPow2; // pow2 of 100*variance
	nx_uint8_t queueOccupationMax;
	nx_uint8_t queueOccupationMin;
	nx_uint8_t queueOverflows;
	nx_uint32_t timestamp;
	nx_uint8_t rebooted;
} BenchmarkHALMsg;


// aggregation testing: choose one of the following 4 options for benchmarking
//#define NO_AGGREGATION
//#define DESTINATION_AGGREGATION
//#define NEXTHOP_AGGREGATION
#define BOTH_AGGREGATION


#endif
